Mcp List Hooks

GET
/v1/nodes/{owner_node_id}/hooks

Authorization

HTTPBearer
headerAuthorizationBearer <token>

Path Parameters

owner_node_id*Owner Node Id

Query Parameters

include_disabled?Include Disabled
Defaulttrue

Response Body

Successful Response

application/json
  1. response
hooks*array<>
[key: string]?any
Example Request
curl -X GET 'https://flywheel.paradigma.inc/api/v1/nodes/string/hooks'
Example Response
{  "hooks": [    {      "action_config": {},      "action_type": "string",      "created_at": "string",      "enabled": true,      "hook_id": "string",      "name": "string",      "owner_node_id": "string",      "rerun_policy": "if_inputs_changed",      "scope": "self",      "trigger_event": "artifact.finalized",      "trigger_events": [        "artifact.finalized"      ],      "updated_at": "string",      "workflow": {},      "workflow_yaml": "string"    }  ]}